Generate Share Link support functions

Function

REST Call URI

Verb

Description

Generate a Shared Link

One of the following:
  • http(s)://{FQDN of the BEMS-Docs server}:8443/docs/{version}/{repository}/{folder-path}?action=generatesharedlink
  • http(s)://{FQDN of the BEMS-Docs server}:8443/docs/{version}/{repository}/{file-path}?action=generatesharedlink

GET

This function generates a link to a file or folder.

Input: The Request Body contains the JSON body required for generation of the Shared Link as required by underlying storage. For example, the following sample JSON body is used if you are using Box to generate the shared file and allow a user to preview the document, but not download it:

{ "shared_link":
  { "access":"company",
    "unshared_at":"2016-02-10T12:15:10-
    8:00",
    "password1":1234", 
    "permissions":
    { 
      "can_download":false",
      "can_preview":"true"
    }
   }
 }
Output: The JSON file contains the generated shared link and the password. The password is optional if it is generated by the underlying storage, as shown in the following example:
{            
  "url":"GeneratedSharedLinkUrlString"
} 

For more information about Box APIs, visit https://developer.box.com/reference#create-a-shared-link-for-a-file.